#include <Windows.H>
#include <WindowsX.H>
#include <ShellAPI.H>
#include <Stdio.H>
#include <Stdlib.H>

#include "Headers/Definitions.H"
#include "Headers/Registry.H"
#include "Headers/Functions.H"
#include "Dialogs/MainDialog.H"
#include "Dialogs/AboutDialog.H"

/////////////////////////////////////////////////////////////////////

extern int WINAPI WinMain (HWND hInstance, HWND hPrev, LPSTR Cmd, int nCmdShow)
{
	if(OpenMutex(0, FALSE, TitleCaption))
	{
		MessageBox (NULL, "Only One Instance Can Be Run At A Time!" , TitleCaption, 0 + MB_ICONASTERISK + MB_SYSTEMMODAL);
		return 0;
	}
	CreateMutex(NULL, FALSE, TitleCaption);

	MainInstance = hInstance;

	DialogBox(MainInstance,MAKEINTRESOURCE(100),0,MainDialog);

	return 0;
}

/////////////////////////////////////////////////////////////////////

